Subject: Re: ifconfig doesn't show assignment ip-addresses

From: Alexander Aring <[email-masked]>
Date: Tue, 10 Dec 2013 12:48:48 +0100

On Tue, Dec 10, 2013 at 12:43:39PM +0100, Jiri Pirko wrote:
> Tue, Dec 10, 2013 at 12:06:49PM CET, [email-masked] wrote:
> >Hi,
> >
> >thanks for your reply.
> >
> >On Tue, Dec 10, 2013 at 11:57:41AM +0100, Jiri Pirko wrote:
> >> Mon, Dec 09, 2013 at 04:32:39PM CET, [email-masked] wrote:
> >> >Hi,
> >> >
> >> >On current net-next with a lowpan interface created with:
> >> >
> >> >ip link add link wpan0 name lowpan0 type lowpan
> >> >
> >> >I don't see any ipv6 addresses in ifconfig anymore. The addresses exist,
> >> >because I can ping my device.
> >> 
> >> 
> >> Can you see the address in "ip a" ? Would you send me output of
> >> "ifconfig" and "ip a" please? Is this a problem for lowpan only or do
> >> you see this with other device types as well?
> >> 
> 
> The problem is that ifconfig parses /proc/net/if_inet6 which changed
> flag format from 2 hexa chars to 3.
> I will send revert for this change in couple of minutes.
> 

ah, nice to known. Thanks!

What would be a proper solution to add a u32 flag property? Or we never
should change this, because we want backwards compatibility?

- Alex